=== debian/changelog ===
mysql-connector-c++ (1.1.9-5) unstable; urgency=medium

  * remove unused MYSQLCLIENT_LIB_NAME/LIBNAME setting

  * add autopkgtest

  * remove myself from Uploaders:

 -- Rene Engelhard <rene@debian.org>  Wed, 10 Jul 2019 22:19:58 +0200

mysql-connector-c++ (1.1.9-4) unstable; urgency=medium

  * debian/patches/dynexcspec.patch: import from LO to remove
    dynamic exception specifications. Breaking sith -std=c++17

 -- Rene Engelhard <rene@debian.org>  Tue, 11 Dec 2018 18:47:17 +0100

mysql-connector-c++ (1.1.9-3) unstable; urgency=medium

  * debian/patches/fix-var-quoting.diff: as name says to fix cross building.
    patch by Helmut Grohne (closes: #909353)

 -- Rene Engelhard <rene@debian.org>  Fri, 02 Nov 2018 16:55:01 +0000

mysql-connector-c++ (1.1.9-2) unstable; urgency=medium

  * update Vcs-* for salsa move

 -- Rene Engelhard <rene@debian.org>  Fri, 02 Nov 2018 17:35:32 +0100

mysql-connector-c++ (1.1.9-1) unstable; urgency=medium

  * fix changelog to resemble proper history

  * New upstream version 1.1.9

  * remove debian/patches/no-MYSQL_TYPE_JSON.patch as MYSQL_TYPE_JSON is now
    checked with LIBMYSQL_VERSION_ID
  * actually add most of upstream files to master...

 -- Rene Engelhard <rene@debian.org>  Sun, 21 May 2017 19:20:42 +0200

mysql-connector-c++ (1.1.7-4) unstable; urgency=medium

  * debhelper/compat to version 10.
  * tighter shlibs versioning with "dh_makeshlibs -V".

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 15 Nov 2016 15:56:30 +1100
