=== debian/tests/control ===
Tests: examples
Depends: @builddeps@, libmysqlcppconn7v5, default-mysql-server
Restrictions: needs-root, needs-build, rw-build-tree, isolation-container, breaks-testbed

Tests: test
Depends: @builddeps@, libmysqlcppconn7v5, default-mysql-server
Restrictions: needs-root, needs-build, rw-build-tree, isolation-container, breaks-testbed
